<?php

declare(strict_types=1);

namespace apexl\Io\modules\user\enums\permissions;

use app\module\newtonsTrailers\Enum\Permission\app\module\newtonsTrailers\Trait\IsPermissionTrait;
use app\module\newtonsTrailers\Interface\PermissionInterface;

enum Role implements PermissionInterface, \JsonSerializable
{
    use IsPermissionTrait;

    case SET;
    case VIEW;
    case CREATE;
    case UPDATE;
    case DELETE;
}
